Subject: Re: bug#64531: [PATCH v2] Add new command vc-dir-copy-filename-as-kill

From: Eli Zaretskii <[email-masked]>
Date: Tue, 08 Aug 2023 16:56:26 +0300

> From: Ivan Sokolov <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 08 Aug 2023 16:44:56 +0300
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > However, new commands should be called out in NEWS, and commands that
> > are important enough should also be mentioned in the user manual.
> 
> Added entry in NEWS, but not in the user manual, there is no such for
> vc-dir afaik.

vc-dir is described in the subsection "VC Directory Mode" and its
sub-subsections.

> +(defun vc-dir-copy-filename-as-kill (&optional absolutep)
> +  "Copy filenames from the `vc-dir' buffer into the kill ring.
> +If there are marked files, copy their names, otherwise copy the
> +file at point.  Names will be separated by a space, each will be
> +quoted using `shell-quote-argument'.  If ABSOLUTEP use absolute
                                                     ^
A comma is missing there.